create schema contact;

create type contact.enum_contacttype as enum (
    'privat',
    'mobil',
    'dienstlich',
    'E-Mail',
    'Skype'
);

create table contact.t_contact (
    lastchange timestamp without time zone default now(),
    pk integer not null primary key generated always as identity,
    forename text not null,
    surname text not null,
    contact text not null,
    type contact.enum_contacttype not null
);

grant usage on schema contact to timetrack;

grant select,insert,delete,update on table contact.t_contact to timetrack;
